* {
    box-sizing: border-box;
}

body {
    margin: 0px;
    padding: 0px;
    width: 100vw;
    height: 100vh;
    background-color: rgb(15, 15, 15);
    overflow: hidden;
}

.panel {
    position: absolute;
    background-color: rgba(128, 128, 128);
    opacity: 0.90;
    border-radius: 5px;
    padding: 5px;
    max-width: 100%;
    max-height: 100%;
    margin: 5px;
}

.controlButton {
    color: black;
    background-color: rgb(0, 255, 0);
    padding-left: 10px;
    padding-right: 10px;
}

.controlButton:disabled {
    background-color: gray !important;
}

.red {
    background-color: rgb(255, 0, 0);
}

.palettePanel {
    left: 0px;
    top: 50px;
    padding: 0px;
}

.paletteItem {
    display: block;
    margin: 5px;
    width: 50px;
    height: 50px;
    border-radius: 5px;
}

.paletteItem.selected {
    border: 3px solid blue;
}

#cvs {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
}

.editorTextPanel {
    grid-area: editorText;
}

.editorControlsPanel {
    grid-area: editorControls;
    padding: 5px;
}

.editorControlsPanel > * {
    display: inline-block;
    height: 100%;
}

.editorPanel {
    grid-area: editor;
    display: grid;
    grid-template-rows: auto 50px;
    grid-template-areas:
        "editorText"
        "editorControls";
    top: 0px;
    right: 0px;
    width: 40%;
    height: 60%;
    max-width: 500px;
}

#editorBox {
    padding: 10px;
    width: 100%;
    height: 100%;
    resize: none;
    font-family: consolas;
    font-size: 16px;
    white-space: nowrap;
    color: white;
    background-color: rgb(25, 25, 25);
}

.examplesPanel {
    overflow: auto;
    bottom: 0px;
    right: 0px;
    width: 40%;
    max-width: 500px;
}

#examplesList {
    width: 100%;
    padding: 10px;
}

#examplesList button {
    display: block;
    width: 100%;
    margin-bottom: 3px;
    padding: 5px;
}

.sectionHeader {
    padding: 10px;
    display: block;
    color: white;
    text-align: center;
    font-size: 25px;
}
